package main

import (
	"cicv-data-closedloop/kinglong_msgs"
	"math"
)

func Topic() string {
	return "/cicv_location"
}

func Label() string {
	return "overspeed"
}

func Rule(data *kinglong_msgs.PerceptionLocalization) string {
	if math.Pow(math.Pow(data.VelocityX, 2)+math.Pow(data.VelocityY, 2), 0.5)*3.6 >= 65 {
		return "overspeed"
	} else {
		return ""
	}
}
